Bug 489598 - Review Request: codelite - a powerful open-source, cross platform code editor for C/C++
Review Request: codelite - a powerful open-source, cross platform code editor...
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-10 17:24 EDT by Jess Portnoy
Modified: 2009-07-30 19:01 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 08:35:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
codelite gcc-4.4 fix (1.11 KB, patch)
2009-03-10 19:21 EDT, Itamar Reis Peixoto
no flags Details | Diff

  None (edit)
Description Jess Portnoy 2009-03-10 17:24:59 EDT
Spec URL: http://dl.sourceforge.net/sourceforge/codelite/codelite.spec
SRPM URL: http://downloads.sourceforge.net/codelite/codelite-1.0.2785-1.fc10.src.rpm
Description: 
CodeLite uses a sophisticated, yet intuitive interface which allows users to easily create, build and debug complex projects.
Comment 1 Jess Portnoy 2009-03-10 17:26:56 EDT
Hello,

Looking for a sponsor for this package.

Thanks in advance,
Comment 2 Itamar Reis Peixoto 2009-03-10 18:00:45 EDT
do you have a FAS account ?

if not please create one here.

https://fedoraproject.org/wiki/PackageMaintainers/Join#Get_a_Fedora_Account

after account created please join the fedora package group in FAS and post your username here, this will speed up the process.
Comment 3 Jess Portnoy 2009-03-10 18:15:56 EDT
Hello Itamar,

I've created the account and joined the packager group. 
My username is kernel01.

Thanks,
Comment 4 Itamar Reis Peixoto 2009-03-10 19:19:57 EDT
(In reply to comment #3)

ok, now please try to setup koji

https://fedoraproject.org/wiki/PackageMaintainers/Join#Install_the_Client_Tools_.28Koji.29

for some reason your package doesn't build in fedora-rawhide

please take a look in build logs

http://koji.fedoraproject.org/koji/taskinfo?taskID=1235705

after setup koji in your box please try to build with something like this.

koji build dist-f11 codelite-1.0.2785-1.fc10.src.rpm --scratch

also please replace your configure line in your spec file with this

%configure --plugins-dir=%{_libdir}/%{name}
Comment 5 Itamar Reis Peixoto 2009-03-10 19:21:14 EDT
Created attachment 334730 [details]
codelite gcc-4.4 fix 

codelite gcc-4.4 fix
Comment 6 Itamar Reis Peixoto 2009-03-10 19:22:23 EDT
I am still not able to build even with attached patch

here are the build error.


/sdk/wxscintilla/src/scintilla/include -I./sdk/wxpropgrid/include        -I./sdk/wxscintilla/src/scintilla/src -I./Interfaces -I./Debugger -I./Plugin -I./CodeLite  -c LiteEditor/output_pane.cpp -o Release_gcc_unicode/output_pane.o
LiteEditor/output_pane.cpp: In member function 'void OutputPane::CreateGUIControls()':
LiteEditor/output_pane.cpp:77: error: 'wxWindow' is an inaccessible base of 'BuildTab'
LiteEditor/output_pane.cpp:80: error: 'wxWindow' is an inaccessible base of 'ErrorsTab'
make: *** [Release_gcc_unicode/output_pane.o] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.xgd4Hc (%build)
Comment 7 Jess Portnoy 2009-03-11 03:17:10 EDT
(In reply to comment #6)
> I am still not able to build even with attached patch
> 
> here are the build error.
> 
> 
> /sdk/wxscintilla/src/scintilla/include -I./sdk/wxpropgrid/include       
> -I./sdk/wxscintilla/src/scintilla/src -I./Interfaces -I./Debugger -I./Plugin
> -I./CodeLite  -c LiteEditor/output_pane.cpp -o
> Release_gcc_unicode/output_pane.o
> LiteEditor/output_pane.cpp: In member function 'void
> OutputPane::CreateGUIControls()':
> LiteEditor/output_pane.cpp:77: error: 'wxWindow' is an inaccessible base of
> 'BuildTab'
> LiteEditor/output_pane.cpp:80: error: 'wxWindow' is an inaccessible base of
> 'ErrorsTab'
> make: *** [Release_gcc_unicode/output_pane.o] Error 1
> error: Bad exit status from /var/tmp/rpm-tmp.xgd4Hc (%build)  

Hello Itamar,

Many thanks. I applied the patch and tested against GCC 4.4.
I will attach the src.rpm later today.
I've also set up koji late last night so I will use it before posting.
Comment 8 Itamar Reis Peixoto 2009-03-11 08:16:18 EDT
there are also a folder called sqlite3, you need to get rid of then and include sql-devel in your buildrequires.

:-)
Comment 9 Jess Portnoy 2009-03-12 08:16:18 EDT
Status update:

I have a patch that works, also with GCC 4.4 [the error Itamar attached relates to inheretence issues, the reason I didn't catch it is that GCC 4.4 is much stricter, which is a good thing, conclusion: always run with koji], I gave it to the maintainer and I am waiting for him to release a new upstream source tar ball. Also, I asked him to change the name for le_dos2unix.sh, le_exec.sh and le_killproc.sh, these are scripts he supplies and I want them to have a name that indicates that are related to codelite. 
Also, after checking the code, he doesn't really need Curl for anything but Windows so they should not be part of the install target.

I hope to get the upsteam fixes soon, once done, I'll koji it and post.

Thanks,
Comment 10 Mamoru TASAKA 2009-05-14 11:32:21 EDT
What is the status of this bug?
Comment 11 Mamoru TASAKA 2009-05-21 12:39:04 EDT
ping again, someone?
Comment 12 Jess Portnoy 2009-05-25 06:53:43 EDT
Hello,

I got a new source release from the maintainer that should be OK.
I'll prepare an RPM later this week and update.
Comment 13 Susi Lehtola 2009-05-25 08:06:48 EDT
- Use %configure and make %{?_smp_mflags} if you have a very good reason not to (i.e. if they don't work).

- NO STRIPPING!!! This is automatically done by rpm, which produces the -debuginfo package.

- What does --copy-generic-name-to-name do in desktop-file-install? It's not documented.

- Use %defattr(-,root,root,-).
Comment 14 Jess Portnoy 2009-05-25 11:11:57 EDT
I cannot use %configure as CodeLite build is not done by GNU's auto tools.
--copy-generic-name-to-name
  Copy the contents of the GenericName field to the Name field
Its in the man page.
About the strip, these files were not stripped unless I explictly ran this, causing rpmlint to complain.
Comment 15 Susi Lehtola 2009-05-25 12:17:03 EDT
(In reply to comment #14)
> I cannot use %configure as CodeLite build is not done by GNU's auto tools.

OK. Please enable SMP make though, if it works.

> --copy-generic-name-to-name
>   Copy the contents of the GenericName field to the Name field
> Its in the man page.

There is no man page for desktop-file-utils. The only documentation is the --help switch, and it doesn't give that on F10.

> About the strip, these files were not stripped unless I explictly ran this,
> causing rpmlint to complain.  

Stripping yourself causes broken debuginfo packages.

**

- You need at least BuildRequires: desktop-file-utils in order to build in mock (or koji).

- You need to use

make CMP="g++ %{optflags} -fPIC -DON_64_BIT" GCC="gcc %{optflags} -fPIC  -DON_64_BIT"

to make the build process use the optimization flags given by RPM.


- SMP make doesn't seem to work. You should contact upstream about this; not using SMP make is *slow* for a program of this size.
Comment 16 Michael Schwendt 2009-05-25 13:57:41 EDT
> About the strip, these files were not stripped unless I explictly
> ran this, causing rpmlint to complain.  

Install the "redhat-rpm-config" package. [It will hopefully become a dependency of the "fedora-packager" package in the near future.]
Comment 17 Susi Lehtola 2009-06-08 15:03:38 EDT
ping?
Comment 18 Susi Lehtola 2009-07-05 06:35:59 EDT
ping again?
Comment 19 Susi Lehtola 2009-07-22 08:35:16 EDT
Closing due to inactive submitter.

Note You need to log in before you can comment on or make changes to this bug.